Index: trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 2528)
@@ -18,6 +18,6 @@
    USE zdf_oce         ! TKE vertical mixing          
    USE lib_mpp         ! distribued memory computing
-   USE zdftke_old      ! TKE vertical mixing  (old scheme)
    USE zdftke          ! TKE vertical mixing
+   USE zdfgls          ! GLS vertical mixing
    USE zdfkpp          ! KPP vertical mixing          
    USE zdfddm          ! double diffusion mixing      
@@ -37,7 +37,7 @@
    
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    
@@ -98,10 +98,10 @@
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdftke_old ) THEN
+      IF( lk_zdftke ) THEN
          IF(lwp) WRITE(numout,*) '      TKE dependent eddy coefficients'
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdftke ) THEN
-         IF(lwp) WRITE(numout,*) '      TKE dependent eddy coefficients'
+      IF( lk_zdfgls ) THEN
+         IF(lwp) WRITE(numout,*) '      GLS dependent eddy coefficients'
          ioptio = ioptio+1
       ENDIF
@@ -125,6 +125,9 @@
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdftke_old .OR. lk_zdftke ) THEN
+      IF( lk_zdftke ) THEN
          IF(lwp) WRITE(numout,*) '      use the 1.5 turbulent closure'
+      ENDIF
+      IF( lk_zdfgls ) THEN
+         IF(lwp) WRITE(numout,*) '      use the GLS closure scheme'
       ENDIF
       IF( lk_zdfkpp ) THEN
@@ -136,6 +139,6 @@
       ENDIF
       IF ( ioptio > 1 .AND. .NOT. lk_esopa )   CALL ctl_stop( ' chose between ln_zdfnpc and ln_zdfevd' )
-      IF( ioptio == 0 .AND. .NOT.( lk_zdftke_old .OR. lk_zdftke .OR. lk_zdfkpp ) ) &
-         CALL ctl_stop( ' except for TKE sor KPP physics, a convection scheme is', &
+      IF( ioptio == 0 .AND. .NOT.( lk_zdftke .OR. lk_zdfgls .OR. lk_zdfkpp ) ) &
+         CALL ctl_stop( ' except for TKE, GLS or KPP physics, a convection scheme is', &
          &              ' required: ln_zdfevd or ln_zdfnpc logicals' )
 
